Subject: bug#7497: closed (Re: bug#7497: problem about auto adding newline at the end of file)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 03 Dec 2010 10:42:02 +0000

Your bug report

#7497: problem about auto adding newline at the end of file

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
7497: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=7497
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#7497: problem about auto adding newline at the end of file
From: Eli Zaretskii <[email-masked]>
To: 李银璠 <[email-masked]>
Cc: [email-masked]
Date: Fri, 03 Dec 2010 12:47:10 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Fri, 3 Dec 2010 14:27:36 +0800
> From: 李银璠 <[email-masked]>
> Cc: [email-masked]
> 
> Dear sir/lady,
> I have fixed my problem. It turned out to be no bug.
> It was a major mode that use mode-require-final-newline. Thank you very much
> for your instructions. I used almost one week to understand the instructions
> (I was quite new to emacs).

Thanks, I'm closing the bug report.

Subject: problem about auto adding newline at the end of file
From: 李银璠 <[email-masked]>
To: [email-masked]
Date: Sat, 27 Nov 2010 18:53:17 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

My emacs does not behave as stated in the documentation,
http://www.gnu.org/software/emacs/manual/html_node/emacs/Customize-Save.html#Customize-Save
.

In the documentation, it is said that, if require-final-newline is set to
nil, no changes would be adapted to my files, leaving them not ended with
newline (0x0d0a).
My emacs, on the other hand, always adds newline at the end of file,
automatically, even when I add (setq-default require-final-newline nil); or
(setq require-final-newline nil);to .emacs. (I tried them both)

I don't know if it is a bug, or it is caused by my wrong operation. I'm
using Ubuntu 10.10, emacs 23.1.1